## org.apache.batik.css.engine
Interface CSSEngine.MainPropertyReceiver

All Known Implementing Classes:
  CSSEngine.CSSNavigableDocumentHandler, SVGStylableElement.StyleDeclaration

Enclosing class:
  CSSEngine

    public static interface CSSEngine.MainPropertyReceiver

Interface for people interesting in having 'primary' properties set. Shorthand properties will be expanded "automatically".

Method Summary
`void` `setMainProperty(java.lang.String name, Value v, boolean important)` Called with a non-shorthand property name and it's value.

Method Detail

### setMainProperty

    void setMainProperty(java.lang.String name,
                         Value v,
                         boolean important)

  Called with a non-shorthand property name and it's value.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.